Bug 858121 - Updated to upstream version 2.0.2
Updated to upstream version 2.0.2
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: groovy (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matt Spaulding
Fedora Extras Quality Assurance
:
Depends On: 809950 855336
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 22:46 EDT by gil cattaneo
Modified: 2013-03-05 05:21 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-22 19:11:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Updated to upstream version 2.0.2 (285.46 KB, patch)
2012-09-17 22:46 EDT, gil cattaneo
no flags Details | Diff

  None (edit)
Description gil cattaneo 2012-09-17 22:46:07 EDT
Created attachment 613847 [details]
Updated to upstream version 2.0.2

Description of problem:
Please updated to 2.0.2
Comment 1 hannes 2012-09-18 00:13:06 EDT
Please see:
http://lists.fedoraproject.org/pipermail/java-devel/2012-July/004447.html
and
http://lists.fedoraproject.org/pipermail/java-devel/2012-September/004521.html

I don't know if you have time to work on this. I don't have time atm.
Comment 2 gil cattaneo 2012-09-18 02:05:57 EDT
sorry i not understand the problem(s)...
is a question of your free time ...? or some java7 features?
I've asked to become co-maintainer of gradle but without success ...

thanks
Comment 3 Matt Spaulding 2012-09-23 14:19:12 EDT
Hi Gil,

I'm now co-maintainer on Groovy and will be updating it once your Gradle package is available in Fedora. Thanks for submitting the patch for 2.0.2. I'm reviewing your changes and plan on updating to the latest version 2.0.4.
Comment 4 gil cattaneo 2012-09-23 15:42:50 EDT
Hi Matt,
groovy 2.0.4 is ready... but there is a problem with gradle .... the maintainer dont give to me the permits for upgrade to 1.0 (gradle 1.2 is already built but not tested ... is only for rawhide/f1{8,9})
if you want can open a new bug for groovy 2.0.4, or upload a new patches
thanks
regards
Comment 5 Matt Spaulding 2012-09-23 16:53:06 EDT
I've been able to build Groovy 2.0.4 just fine with your Gradle 1.0 package.

Here is the commit on the Groovy repository that claims Gradle 1.2 support:
https://github.com/groovy/groovy-core/commit/656b2f07066b1ebabf8530b8c3f2ac9bf8612f1a

As you can see, they have only upgraded the bundled version of Gradle, but have not made any changes for building Groovy to be incompatible with older versions of Gradle. I don't think we will have any problems using Gradle 1.0. Hopefully you'll be given ACLs soon so that we can move ahead with this.

Here's the SRPM: http://madsa.fedorapeople.org/groovy-2.0.4-1.fc18.src.rpm
Comment 6 Fedora Admin XMLRPC Client 2012-10-04 08:52:21 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Matt Spaulding 2013-02-22 19:11:31 EST
There is a newer version of groovy out now.

Note You need to log in before you can comment on or make changes to this bug.